CREATE TABLE atk_essmeta_ds_b (
    DATASOURCE_ID            NUMBER(18, 0) ,
    PRODUCT_SHORT_NAME       VARCHAR2(40)      NOT NULL,
    IS_VALUESET              VARCHAR2(4)       NOT NULL,
    DATASOURCE_DEF_NAME      VARCHAR2(4000)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    DATASOURCE_ID            NUMBER(18, 0) ,
    PRODUCT_SHORT_NAME       VARCHAR2(40)      NOT NULL,
    IS_VALUESET              VARCHAR2(4)       NOT NULL,
    DATASOURCE_DEF_NAME      VARCHAR2(4000)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CONSTRAINT pk_atk_essmeta_ds_b PRIMARY KEY (DATASOURCE_ID, DATASOURCE_ID)
);
